Blame 0113-url-lib-ca-bundle.crt-changed-to-a-symlink.patch

Harald Hoyer 4f714a
From f47090f918be67ca3b9a33090088d3164db2e6a8 Mon Sep 17 00:00:00 2001
Harald Hoyer 4f714a
From: Harald Hoyer <harald@redhat.com>
Harald Hoyer 4f714a
Date: Wed, 17 Aug 2016 16:41:21 +0200
Harald Hoyer 4f714a
Subject: [PATCH] url-lib: ca-bundle.crt changed to a symlink
Harald Hoyer 4f714a
Harald Hoyer 4f714a
use inst() instead of inst_simple()
Harald Hoyer 4f714a
Harald Hoyer 4f714a
/etc/pki/tls/certs/ca-bundle.crt is a symlink to
Harald Hoyer 4f714a
../../ca-trust/extracted/pem/tls-ca-bundle.pem
Harald Hoyer 4f714a
Harald Hoyer 4f714a
with inst() we install the original file also.
Harald Hoyer 4f714a
Harald Hoyer 4f714a
https://bugzilla.redhat.com/show_bug.cgi?id=1341280
Harald Hoyer 4f714a
(cherry picked from commit 1b23c6c65c39630cb62faa2503817759f83d880b)
Harald Hoyer 4f714a
---
Harald Hoyer 4f714a
 modules.d/45url-lib/module-setup.sh | 2 +-
Harald Hoyer 4f714a
 1 file changed, 1 insertion(+), 1 deletion(-)
Harald Hoyer 4f714a
Harald Hoyer 4f714a
diff --git a/modules.d/45url-lib/module-setup.sh b/modules.d/45url-lib/module-setup.sh
Harald Hoyer 4f714a
index c87f718..1ece400 100755
Harald Hoyer 4f714a
--- a/modules.d/45url-lib/module-setup.sh
Harald Hoyer 4f714a
+++ b/modules.d/45url-lib/module-setup.sh
Harald Hoyer 4f714a
@@ -32,7 +32,7 @@ install() {
Harald Hoyer 4f714a
             _crt=$(grep -F --binary-files=text -z .crt $_lib)
Harald Hoyer 4f714a
             [[ $_crt ]] || continue
Harald Hoyer 4f714a
             [[ $_crt == /*/* ]] || continue
Harald Hoyer 4f714a
-            if ! inst_simple "$_crt"; then
Harald Hoyer 4f714a
+            if ! inst "$_crt"; then
Harald Hoyer 4f714a
                 dwarn "Couldn't install '$_crt' SSL CA cert bundle; HTTPS might not work."
Harald Hoyer 4f714a
                 continue
Harald Hoyer 4f714a
             fi